#
# Copyright (C) 2016 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


"""A stub for the Device class."""


from bsp import device
from test import stubs


class StubDevice(object):

    def __init__(self, name='', vendor='', arch='', package_map=None,
                 version='', downloaded=False, should_link_version=None):
        self.name = name
        self.vendor = vendor
        self.arch = arch
        self.version = version
        self.package_map = package_map or {}
        self.should_link_version = should_link_version
        self.downloaded = downloaded

    def linked(self, os_version):
        if not self.should_link_version == os_version:
            raise device.Error('Not supposed to link to {} (only to {})'.format(
                os_version, self.should_link_version))
        return stubs.StubContextManager()

    def is_available(self):
        return self.downloaded
