#
# Copyright (C) 2015 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

"""BDK BSP commands."""

from bsp import manifest
from cli import clicommand
from core import util


DEFAULT_OS = util.DEPRECATED_GetDefaultOSPath()


class BSPGroup(clicommand.Group):
    """Manage Brillo BSPs."""

    @staticmethod
    def GroupArgs(parser):
        """See super class."""
        parser.add_argument('-m', '--manifest',
                            default=manifest.DEFAULT_MANIFEST_FILE,
                            help='Path to custom manifest of BSPs '
                            '(default {})'.format(
                                manifest.DEFAULT_MANIFEST_FILE))
